<?php
namespace ModulesGarden\ProxmoxAddon\App\UI\CloudInitScript\Buttons;

use ModulesGarden\ProxmoxAddon\Core\Helper\BuildUrl;
use ModulesGarden\ProxmoxAddon\Core\UI\Widget\Buttons\ButtonRedirect;

class UpdateButton extends ButtonRedirect
{

    public function initContent()
    {
        $this->initIds('update');
        $this->setRawUrl('addonmodules.php?module=proxmoxAddon&mg-page=CloudInitScript&mg-action=update');
        $this->setRedirectParams(['id'=> ":id"]);
        $this->setIcon('lu-zmdi lu-zmdi-edit');
        parent::initContent();
    }
}